Subject: bug#22381: 24.5; emacs hangs in shell-script-mode + show-paren-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jan 2016 10:08:04 +0200

> From: [email-masked]
> Date: Sat, 16 Jan 2016 02:24:37 +0100
> 
> when I'm in shell-script-mode with show-paren-mode enabled my Emacs
> might hang if I'm writing a while-loop. In order for this to happen the
> last line in the buffer has to start with "while" and must not be
> terminated with a newline. The following actions trigger this symptom
> for me when I start emacs using "emacs -Q":
> 
> 1) Enable show-paren-mode by typing "(show-paren-mode 1)" and evaluating
> it with "C-x C-e".
> 2) Enable shell-script-mode by typing "(shell-script-mode)" and
> evaluting it with "C-x C-e".
> 3) Clear the *scratch*-buffer by first doing "C-x h" followed by "C-w".
> 4) Type the word "while". Other words might follow but the line might
> not be terminated with a newline.
> 5) Go to the begining of the line using "C-a". Afterwards emacs hangs. I
> can't move the cursor anymore.

Thank you for your report.

I can reproduce this bug in Emacs 24.5, but not in the current
development sources on the emacs-25 branch.  So this bug appears to be
already fixed.

I'm therefore closing this bug.